Package net.snowflake.client.jdbc

## Class FieldMetadata

- java.lang.Object
- - net.snowflake.client.jdbc.FieldMetadata

    public class FieldMetadata
    extends Object

### Constructor Summary

Constructors
`FieldMetadata()`
`FieldMetadata​(String name, String typeName, int type, boolean nullable, int byteLength, int precision, int scale, boolean fixed, SnowflakeType base, List<FieldMetadata> fields)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SnowflakeType` `getBase()`
`int` `getByteLength()`
`List<FieldMetadata>` `getFields()`
`String` `getName()`
`int` `getPrecision()`
`int` `getScale()`
`int` `getType()`
`String` `getTypeName()`
`boolean` `isFixed()`
`boolean` `isNullable()`
`void` `setBase​(SnowflakeType base)`
`void` `setByteLength​(int byteLength)`
`void` `setFields​(List<FieldMetadata> fields)`
`void` `setFixed​(boolean fixed)`
`void` `setName​(String name)`
`void` `setNullable​(boolean nullable)`
`void` `setPrecision​(int precision)`
`void` `setScale​(int scale)`
`void` `setType​(int type)`
`void` `setTypeName​(String typeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldMetadata

    public FieldMetadata​(String name,
                         String typeName,
                         int type,
                         boolean nullable,
                         int byteLength,
                         int precision,
                         int scale,
                         boolean fixed,
                         SnowflakeType base,
                         List<FieldMetadata> fields)

#### FieldMetadata

    @SnowflakeJdbcInternalApi
    public FieldMetadata()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName​(String name)

#### getTypeName

    public String getTypeName()

#### setTypeName

    public void setTypeName​(String typeName)

#### getType

    public int getType()

#### setType

    public void setType​(int type)

#### isNullable

    public boolean isNullable()

#### setNullable

    public void setNullable​(boolean nullable)

#### getByteLength

    public int getByteLength()

#### setByteLength

    public void setByteLength​(int byteLength)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public void setPrecision​(int precision)

#### getScale

    public int getScale()

#### setScale

    public void setScale​(int scale)

#### isFixed

    public boolean isFixed()

#### setFixed

    public void setFixed​(boolean fixed)

#### getBase

    public SnowflakeType getBase()

#### setBase

    public void setBase​(SnowflakeType base)

#### getFields

    public List<FieldMetadata> getFields()

#### setFields

    public void setFields​(List<FieldMetadata> fields)